## org.eclipse.m2m.atl.engine.vm
Class ACTInterpreter

    java.lang.Object
      org.eclipse.m2m.atl.engine.vm.ACTInterpreter

    public class ACTInterpreter

extends java.lang.Object

ATL Composite Transformation Interpreter The ACT is read using an XML importer and loaded into a set of Java Object. This all process could be automated.

Nested Class Summary
`protected class` `ACTInterpreter.ACT`
`protected class` `ACTInterpreter.File_`
`protected class` `ACTInterpreter.Import`
`protected class` `ACTInterpreter.InFile`
`protected class` `ACTInterpreter.InModel`
`protected class` `ACTInterpreter.InoutModel`
`protected class` `ACTInterpreter.Library`
`protected class` `ACTInterpreter.OutModel`
`protected class` `ACTInterpreter.Plugin`
`protected class` `ACTInterpreter.Query`
`protected class` `ACTInterpreter.Transform`
`protected class` `ACTInterpreter.WithParam`

Constructor Summary
`ACTInterpreter(PluginClassLoader pcl, ModelLoader ml, ASMModelElement root, java.util.Map params, java.util.Map models)`

Method Summary
`static void` `realMain(java.lang.String[] args, PluginClassLoader pcl)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ACTInterpreter

    public ACTInterpreter(PluginClassLoader pcl,
                          ModelLoader ml,
                          ASMModelElement root,
                          java.util.Map params,
                          java.util.Map models)
                   throws java.lang.Exception

Throws:
  `java.lang.Exception`

Method Detail

### realMain

    public static void realMain(java.lang.String[] args,
                                PluginClassLoader pcl)
                         throws java.lang.Exception

  Parameters:
    `args` -
    `pcl` -
  Throws:
    `java.lang.Exception`

Copyright 2007 IBM Corporation and others. All Rights Reserved.